Qt 5.11 | Qt Location | C++ Classes | QPlaceIcon

Qt 5.11.3 Reference Documentation

# QPlaceIcon Class

The QPlaceIcon class represents an icon. More...

Header: | #include <QPlaceIcon>
qmake: | QT += location
Since: | Qt 5.6

- List of all members, including inherited members

## Public Functions

| QPlaceIcon()
| QPlaceIcon(const QPlaceIcon &other)
| ~QPlaceIcon()
bool | isEmpty() const
QPlaceManager * | manager() const
QVariantMap | parameters() const
void | setManager(QPlaceManager *manager)
void | setParameters(const QVariantMap &parameters)
QUrl | url(const QSize &size = QSize()) const
bool | operator!=(const QPlaceIcon &other) const
QPlaceIcon & | operator=(const QPlaceIcon &other)
bool | operator==(const QPlaceIcon &other) const

## Static Public Members

const QString | SingleUrl

## Detailed Description

The QPlaceIcon class represents an icon.

The typical usage of an icon is to use the url() function to specify a preferred icon size.

      QUrl iconSourceUrl = place.icon().url(QSize(32,32));

      //A default icon may also be requested like so
      iconSourceUrl = place.icon().url();

The icons are typically backend dependent, if a manager backend does not support a given size, the URL of the icon that most closely matches those parameters is returned.

The icon class also has a key-value set of parameters. The precise key one needs to use depends on the plugin being used. These parameters influence which icon URL is returned by the manager and may also be used to specify icon URL locations when saving icons.

If there is only ever one image for an icon, then QPlaceIcon::SingleUrl can be used as a parameter key with a QUrl as the associated value. If this key is set, then the url() function will always return the specified URL and not defer to any manager.

## Member Function Documentation

### QPlaceIcon::QPlaceIcon()

Constructs an icon.

### QPlaceIcon::QPlaceIcon(const QPlaceIcon &other)

Constructs a copy of other.

### QPlaceIcon::~QPlaceIcon()

Destroys the icon.

### bool QPlaceIcon::isEmpty() const

Returns a boolean indicating whether the all the fields of the icon are empty or not.

### QPlaceManager *QPlaceIcon::manager() const

Returns the manager that this icon is associated with.

See also setManager().

### QVariantMap QPlaceIcon::parameters() const

Returns a set of parameters for the icon that are manager/plugin specific. These parameters are used by the manager to return the appropriate URL when url() is called and to specify locations to save to when saving icons.

Consult the plugin documentation for what parameters are supported and how they should be used.

See also setParameters().

### void QPlaceIcon::setManager(QPlaceManager *manager)

Sets the manager that this icon is associated with. The icon does not take ownership of the pointer.

See also manager().

### void QPlaceIcon::setParameters(const QVariantMap &parameters)

Sets the parameters of the icon to parameters.

See also parameters().

### QUrl QPlaceIcon::url(const QSize &size = QSize()) const

Returns an icon URL according to the given size.

If no manager has been assigned to the icon, and the parameters do not contain the QPlaceIcon::SingleUrl key, a default constructed QUrl is returned.

### bool QPlaceIcon::operator!=(const QPlaceIcon &other) const

Returns true if other is not equal to this icon, otherwise returns false.

### QPlaceIcon &QPlaceIcon::operator=(const QPlaceIcon &other)

Assigns other to this icon and returns a reference to this icon.

### bool QPlaceIcon::operator==(const QPlaceIcon &other) const

Returns true if this icon is equal to other, otherwise returns false.

## Member Variable Documentation

### const QString QPlaceIcon::SingleUrl

Parameter key for an icon that only has a single image URL.

The parameter value to be used with this key is a QUrl. An icon with this parameter set will always return the specified URL regardless of the requested size when url() is called.